import request from '@/utils/request'

// 按类型获取全部问题列表
export function getAllQuestionByType(query) {
  return request({
    url: '/asking/question/getAllQuestionByType',
    method: 'get',
    params: query
  })
}

// 按类型获取精彩回答列表
export function getExcitingAnswersList(query) {
  return request({
    url: '/asking/question/getExcitingAnswersList',
    method: 'get',
    params: query
  })
}

// 按类型获取最多悬赏列表
export function getMaxScoreList(query) {
  return request({
    url: '/asking/question/getMaxScoreList',
    method: 'get',
    params: query
  })
}