import request from '@/utils/request'

// 查询事项列表
export function listDept(query) {
  return request({
    url: '/jnb/collect/list',
    method: 'get',
    params: query
  })
}
// 查询事项列表
export function getMattersAll(query) {
  return request({
    url: '/jnb/matter/listAll',
    method: 'get',
    params: query
  })
}
// 查询事项详细
export function getDept(id) {
  return request({
    url: '/jnb/matter/lists/' + id,
    method: 'get'
  })
}
// 新增事项
export function addsc(data) {
  return request({
    url: '/jnb/matter/add',
    method: 'post',
    data: data
  })
}

// 查询事项列表
export function listMatters(query) {
  return request({
    url: '/jnb/matter/list',
    method: 'get',
    params: query
  })
}
// 收藏事项
export function scadd(data) {
  return request({
    url: '/jnb/collect/add',
    method: 'post',
    data: data
  })
}

// 查询事项收藏详细
export function collectlist(id) {
  return request({
    url: '/jnb/collect/collectlist/' + id,
    method: 'get'
  })
}

export function getsc(query) {
  return request({
    url: '/jnb/collect/lists',
    method: 'get',
    params: query
    
  });
}


// 取消收藏事项
export function delDept(id) {
  return request({
    url: '/jnb/collect/delete/' + id,
    method: 'delete'
  })}