import request from '@/utils/request'

// 获取最新消息（首页滚动）
export function getListToAnnouncement(userId) {
  return request({
    url: '/my/announcement/getNewAnnouncement?userId='+userId,
    method: 'get'
  })
}

// 根据公告id获取详情
export function getDetialisById(annoId){
	return request({
		url: '/my/announcement/'+annoId,
		method: 'get'
	})
}

//新增已读记录
export function announcementReat(query){
	return request({
		url: '/my/announcement/readAnnouncement',
		method: 'post',
		data: query
	})
}

//查询公告列表
export function getList(query){
	return request({
		url: '/my/announcement/list',
		method: 'get',
		data: query
	})
}

//查询封面
export function getCovers(){
	return request({
		url: '/my/img/getCover',
		method: 'get'
	})
}


//查询封面
export function getCarousel(){
	return request({
		url: '/my/img/getCarousel',
		method: 'get'
	})
}