import request from '@/utils/request'

// 政策推荐前三个
export function governmentListData(query) {
  return request({
    url: '/jnb/information/listWx',
    method: 'get',
	params:query
  })
}

// 政策推荐更多
export function governmentListMore(query) {
    return request({
        url: '/jnb/information/listWxs',
        method: 'get',
        params:query
    })
}


//资讯前三条置顶uniapp
export function listWx(query) {
  return request({
    url: '/jnb/information/listWx',
    method: 'get',
    params: query
  })
}
//查询资讯列表uniapp
export function listWxs(query) {
  return request({
    url: '/jnb/information/listWxs',
    method: 'get',
    params: query
  })
}

// 查询资讯详细
export function getServer(e) {
  return request({
    url: '/jnb/information/uniApp/' + e.id + '/' + e.type,
    method: 'get'
  })
}

// 新增资讯
export function addServer(data) {
  return request({
    url: '/jnb/information/uniApp',
    method: 'post',
    data: data
  })
}

// 修改资讯
export function updateServer(data) {
  return request({
    url: '/jnb/information',
    method: 'put',
    data: data
  })
}

// 点赞
export function likeServer(data) {
  return request({
    url: '/jnb/information/like',
    method: 'post',
    data: data
  })
}

// 删除资讯
export function delServer(ids,type) {
  return request({
    url: '/jnb/information/' + ids + '/' + type,
    method: 'delete'
  })
}
