import request from '@/utils/request'

// 我的事项列表
export function getMattersList(query) {
  return request({
    url: '/jnb/matter/list',
    method: 'get',
	params:query
  })
}

// 事项详情
export function getMattersDetail(id) {
  return request({
    url: `/jnb/matter/lists/${id}`,
    method: 'get'
  })
}

// 查询主题类型配置列表
export function getListTopicType(query) {
  return request({
    url: `/jnb/topicType/list`,
    method: 'get',
	params: query
  })
}

// 查询部门列表
export function getListDepts(query) {
  return request({
    url: `/jnb/department/list`,
    method: 'get',
	params: query
  })
}