import request from '@/utils/request'

// 获取当前积分
export function getScore(userId) {
	return request({
		url: '/score/getScore?userId=' + userId,
		method: 'get'
	})
}

export function getUserInfo(userId) {
	return request({
		url: '/system/user/getWxUserInfo/' + userId,
		method: 'get'
	})
}

// 获取我的付费知识
export function myPayKnow(query) {
	return request({
		url: '/knowledge/base/knowledgePayList',
		method: 'get',
		data: query
	})
}

//上传头像
export function uploadHeadImg(data) {
	return request({
		url: '/system/user/updateWxUserInfo',
		method: 'get',
		data: data
	})
}