import request from '@/utils/request'

// 查询行情列表
export function listQuotations(query) {
    return request({
        url: '/quotations/list',
        method: 'get',
        params: query
    })
}

// 查询行情配置列表
export function listConfig(query) {
    return request({
        url: '/quotationsConfig/all',
        method: 'get',
        params: query
    })
}
//新增列表
export function addQuotations(data) {
    return request({
        url: '/quotations',
        method: 'post',
        data: data
    })
}

//查询行情配置子级
export function QuotationsList(data) {
    return request({
        url: '/quotationsConfig/list',
        method: 'get',
        data: data
    })
}