import request from '@/utils/request'

// 查询金融基建列表
export function list(query) {
  return request({
    url: '/high/server/financialInfrastructureList',
    method: 'get',
    params: query
  })
}

// 查询金融基建详情
export function getDetails(id) {
  return request({
    url: '/high/server/financialInfrastructureDetails/' + id,
    method: 'get',
  })
}
