import request from '@/utils/request'

//新增问题
export function addQuestion(data) {
  return request({
    url: '/asking/question/addQuestion',
    method: 'post',
    data: data
  })
}

//查询类型配置
export function listType(query) {
  return request({
    url: '/asking/question/typeList',
    method: 'get',
    params: query
  })
}

/**
 * 验证积分是否充足
 */
export function verifyScore(query) {
  return request({
    url: '/score/verifyScore',
    method: 'get',
	params:query
  })
}

//按用户id查询实名认证信息
export function getUserInfo(userId) {
  return request({
    url: '/nameAuthentication/getNameInfo/'+ userId,
    method: 'get',
  })
}