import request from '@/utils/request'

// 获取类型列表
export function getTypeList(query) {
  return request({
    url: '/JnbQuestionType/type/typeList',
    method: 'get',
    params: query
  })
}

// 获取展示问题列表
export function getShowList() {
  return request({
    url: '/asking/question/getShowList',
    method: 'get'
  })
}

//  获取热门问题列表
export function getHotQuestionList() {
  return request({
    url: '/asking/question/getHotQuestionList',
    method: 'get'
  })
}