import request from '@/utils/request'

// 新增供销合作社
export function addCooperative(data) {
  return request({
    url: '/high/server/cooperative',
    method: 'post',
    data: data
  })
}

// 查询供销合作社列表
export function getList(query) {
  return request({
    url: '/high/server/cooperative/list',
    method: 'get',
    params: query
  })
}

// 查询供销合作社详情
export function getDetails(id) {
  return request({
    url: '/high/server/cooperative/' + id,
    method: 'get'
  })
}
