import request from '@/utils/request'

// 查询法律服务列表
export function list(query) {
  return request({
    url: '/high/server/legalServiceList',
    method: 'get',
    params: query
  })
}

// 查询法律服务详情
export function getDetails(id) {
  return request({
    url: '/high/server/legalServiceDetails/' + id,
    method: 'get',
  })
}
